E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
G::threading Struct Reference

Helper class for std::thread capabilities. More...

`#include <gdef.h>`

## Public Types
enum | { using_std_thread = 1 }
typedef std::thread | thread_type
typedef std::mutex | mutex_type
typedef std::lock_guard< std::mutex > | lock_type

## Static Public Member Functions
static bool | works ()

## Detailed Description

Helper class for std::thread capabilities.

Definition at line 927 of file gdef.h.

The documentation for this struct was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gdef.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gthread.cpp